package net.zenrindatacom.locationservice.sample.http.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * (位置蓄積サーバ)位置登録APIのレスポンスDTO
 *
 * @author N.Miyahara
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SrvEntryPositionResDto {
    /**
     * レスポンス情報クラス
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @JsonIgnoreProperties(ignoreUnknown=true)
    public static class Response {
        /**
         * 処理結果情報クラス
         */
        @SuppressWarnings("unused")
        @JsonInclude(JsonInclude.Include.NON_NULL)
        @JsonIgnoreProperties(ignoreUnknown=true)
        public static class Status {
            /** 処理結果コード */
            private int returnCode;
            /** エラーメッセージ */
            private String errorMessage;

            public int getReturnCode() {
                return returnCode;
            }

            public void setReturnCode(int returnCode) {
                this.returnCode = returnCode;
            }

            public String getErrorMessage() {
                return errorMessage;
            }

            public void setErrorMessage(String errorMessage) {
                this.errorMessage = errorMessage;
            }
        }

        /** 処理結果情報 */
        private Status status;

        public Status getStatus() {
            return status;
        }

        @SuppressWarnings("unused")
        public void setStatus(Status status) {
            this.status = status;
        }
    }

    /** レスポンス情報 */
    private Response response;

    public Response getResponse() {
        return response;
    }

    @SuppressWarnings("unused")
    public void setResponse(Response response) {
        this.response = response;
    }
}
