package net.zenrindatacom.locationservice.sample.http.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.PropertyNamingStrategies;
import com.fasterxml.jackson.databind.annotation.JsonNaming;

/**
 * (トークン発行サーバ)トークン取得APIのレスポンスDTO
 *
 * @author N.Miyahara
 */
@JsonNaming(PropertyNamingStrategies.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown=true)
public class SrvTokenResDto {

    /** アクセストークン */
    private String accessToken;

    /** トークンタイプ */
    private String tokenType;

    /** 期限(秒単位) */
    private Integer expiresIn;

    public String getAccessToken() {
        return accessToken;
    }

    @SuppressWarnings("unused")
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getTokenType() {
        return tokenType;
    }

    @SuppressWarnings("unused")
    public void setTokenType(String tokenType) {
        this.tokenType = tokenType;
    }

    public Integer getExpiresIn() {
        return expiresIn;
    }

    @SuppressWarnings("unused")
    public void setExpiresIn(Integer expiresIn) {
        this.expiresIn = expiresIn;
    }
}
